#ifdef JFB_WITH_LIBHANGUL
#ifndef INCLUDE_CONV_H
#define INCLUDE_CONV_H
int conv_str(const char *fromenc, const char *toenc, unsigned char *fromstr, unsigned char *tostr);
#define CONV_SIZE 32
#define CONV_ucs4_to_utf8(x, y) conv_str("UCS-4", "UTF-8", (x), (y))
#define CONV_utf8_to_ucs4(x, y) conv_str("UTF-8", "UCS-4", (x), (y))
#define CONV_euckr_to_utf8(x, y) conv_str("EUC-KR", "UTF-8", (x), (y))
#define CONV_utf8_to_euckr(x, y) conv_str("UTF-8", "EUC-KR", (x), (y))

/* XXX: doesn't work. why? */
#define CONV_ucs4_to_euckr(x, y) conv_str("EUC-KR", "UCS-4", (x), (y))
#define CONV_euckr_to_ucs4(x, y) conv_str("UCS-4", "EUC-KR", (x), (y))
#endif /* INCLUDE_CONV_H */
#endif /* JFB_WITH_LIBHANGUL */
