#ifdef JFB_WITH_LIBHANGUL
#ifndef INCLUDE_HINPUT_H
#define INCLUDE_HINPUT_H
#include "term.h"

#define KEY_ESC 0x1B
#define KEY_SPACE 0x20
#define KEY_BACKSPACE 0x7F

#define HANGUL_KEYBOARD_NONE -1
enum {
	HINPUT_ENCODING_NONE,
	HINPUT_ENCODING_UTF8,
	HINPUT_ENCODING_EUCKR
};

int hinput_init(char *keyboard_type, char *input_encoding);
void hinput_exit(void);
int hinput_try_commit(TTerm *p, u_int *commit_flag);
int hinput_try_preedit(TTerm *p, u_int state, u_int *commit_flag);
int hinput_process(TTerm *p, u_char *buf, int ret, u_int *preedit_after_commit);
#endif /* INCLUDE_HINPUT_H */
#endif /* JFB_WITH_LIBHANGUL */
